Get workflow step executions
Server:
https://{kibana_url}
- GET /api/workflows/workflow/{workflowId}/executions/steps
- GET /s/{space_id}/api/workflows/workflow/{workflowId}/executions/steps
Refer to Spaces for more information.
Retrieve a paginated list of step-level execution records for a specific workflow. Optionally filter by step ID and include input or output data.
[Required authorization] Route required privileges: workflowsManagement:readExecution OR workflowsManagement:managed:readExecution.
Path Parameters
-
workflowIdstringrequired -
Workflow ID
Query Parameters
-
stepIdstring Filter by step ID.
-
includeInputboolean Include step input data.
-
includeOutputboolean Include step output data.
-
pagenumber · min: 1 Page number for pagination.
-
sizenumber · min: 1 · max: 100 Number of results per page.
-
startedAfterstring Datemath lower bound for filtering step executions by startedAt (inclusive when parsed).
-
startedBeforestring Datemath upper bound for filtering step executions by startedAt (inclusive when parsed with roundUp).
Response
200
application/json
Indicates a successful response